Bug 105656 - Kernel (2.4.20-20.7) Panics when running netatalk
Kernel (2.4.20-20.7) Panics when running netatalk
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 08:09 EDT by William Tihen -- Tech Director @ TASIS
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Tihen -- Tech Director @ TASIS 2003-09-26 08:09:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Linux 2.4.20-20.9 i686; U) Opera 7.11  [en]

Description of problem:


Version-Release number of selected component (if applicable):
2.4.20-20.7

How reproducible:
Always

Steps to Reproduce:
1. Install Linux version 2.4.20-20.7 (bhcompile@porky.devel.redhat.com) (gcc 
version 2.96 20000731 (Red Hat Linux 7.3 2.96-113)) #1
Mon Aug 18 14:56:30 EDT 2003
PS -- this is also a problem on RH9 too
2. Run netatalk 1.5.5 or netatalk 1.5.3.1 (to server Mac Files)
3. Wait for a kernel panic (time seems to depend on how busy the server is -- 
the busier the faster this occurs).
    

Actual Results:  a log message will sometimes appear stating:  
kernel: Unable to handle a virtual address
kernel: printing eip

I will submit a second report for RH9 -- I have more info -- a screen dump.  I 
have log files too.  

Additional info:

Let me know if I should send my log file.
Comment 1 jan kaminski 2003-10-23 11:45:18 EDT
PRBLY 
broken(?)/bad/old/transient/altered 
version of icmp.c. Up to 
2.4.20-20.9. File: net/ipv4/icmp.c
version (RH?) $Id: icmp.c,v 1.82.2.1 
2001/12/13 08:59:27 davem Exp 
BUT function icmp_xmit_lock() still 
contains explicity 'panic'
Comment 2 Bugzilla owner 2004-09-30 11:41:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.